Go to the first, previous, next, last section, table of contents.

# 8 Platform-specific features

This section lists the settings and commands that are platform specific.

## 8.1 GTK3 specific features

This section lists the settings and commands that are common and specific to Unix, and are thus not present in other platforms.

### 8.1.1 GTK3 specific resources

`GTKFilter`
  Rendering filter to use for the Gtk3 UI (0: Nearest neighbor, 1: Bilinear, 2: Bicubic).
`AspectRatio`
  String/float specifying the aspect ratio (0.5-2.0).
`KeepAspectRatio`
  Boolean specifying whether the aspect ratio of the output window should be preserved. (0: free scaling, 1: scale with fixed aspect ratio)
`TrueAspectRatio`
  Boolean specifying whether to use the true (non square pixels) aspect ratio.
`VSync`
  Boolean specifying whether to enable vsync to prevent screen tearing. (0: vsync off, 1: vsync on)
`StartMinimized`
  Boolean specifying whether the emulator should start minimized
`SaveResourcesOnExit`
  Boolean specifying whether the emulator should save changed settings before exiting. If this is enabled, the user will be always prompted first, in case the settings have changed.
`ConfirmOnExit`
  Boolean specifying whether to show a confirmation dialog on exit.
`FullscreenDecorations`
  Boolean specifying whether the menu and statusbar are shown in full screen mode.
`Window0Width`
`Window0Height`
`Window0Xpos`
`Window0Ypos`
  Integers specifying the position and size of the (first) emulator window (all emulators except vsid).
`Window1Width`
`Window1Height`
`Window1Xpos`
`Window1Ypos`
  Integers specifying the position and size of the (second) emulator window (x128 only).
`CrtcFullscreen`
  Boolean specifying whether to use fullscreen mode or not (xcbm2 and xpet only).
`TEDFullscreen`
  Boolean specifying whether to use fullscreen mode or not (xplus4 only).
`VDCFullscreen`
  Boolean specifying whether to use fullscreen mode or not (x128 only).
`VICFullscreen`
  Boolean specifying whether to use fullscreen mode or not (xvic only).
`VICIIFullscreen`
  Boolean specifying whether to use fullscreen mode or not (all emulators except xcbm2, xpet, xplus4, xvic and vsid).
`JoyDevice1`
  Integer specifying which joystick device the emulator should use for the emulation of joystick 1 (all emulators except xcbm2, xpet and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`JoyDevice2`
  Integer specifying which joystick device the emulator should use for the emulation of joystick 2 (all emulators except xcbm2, xpet, xvic and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`JoyDevice3`
  Integer specifying which joystick device the emulator should use for the emulation of extra joystick 1 (all emulators except xcbm5x0 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`JoyDevice4`
  Integer specifying which joystick device the emulator should use for the emulation of extra joystick 2 (all emulators except xcbm5x0, xplus4 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)

The available joysticks might differ depending on operating system and joystick support in the OS.

`Devices 4..9`
  Only available if joystick support is available at compile time.
`Devices 10 and 11`
  Only available if digital joystick support is available at compile time.
`Devices 12 and 13`
  Only available if USB joystick support is available at compile time.

The following resources are only available if MIDI support is available at compile time.

`MIDIName`
  String specifying the name of the MIDI client (default:"VICE") (ALSA and macOS only, x64, x64sc, xscpu64, x128 and xvic only).
`MIDIInDev`
  String specifying the OSS MIDI input device (Windows and OSS, x64, x64sc, xscpu64, x128 and xvic only).
`MIDIOutDev`
  String specifying the OSS MIDI output device (Windows and OSS, x64, x64sc, xscpu64, x128 and xvic only).
`MIDIInName`
  String specifying the name of the MIDI input port (default:"VICEInput") (macOS only, x64, x64sc, xscpu64, x128 and xvic only).
`MIDIOutName`
  String specifying the name of the MIDI output port (default:"VICEOutput") (macOS only, x64, x64sc, xscpu64, x128 and xvic only).

The following resource is only available if MIDI support and ALSA support is available at compile time.

`MIDIDriver`
  Enum specifying the MIDI driver (Unix - x64, x64sc, xscpu64, x128 and xvic only). (0: OSS, 1: ALSA)

### 8.1.2 GTK3 specific command-line options

`-saveres`
`+saveres`
  Enable/disable automatic saving of settings on exit (`SaveResourcesOnExit=1`, `SaveResourcesOnExit=0`).
`-minimized`
`+minimized`
  Start/Do not start with minimized window (`StartMinimized=1`, `StartMinimized=0`).
`-aspect <aspect ratio>`
  Set the aspect ratio (`AspectRatio`). (0.5-2.0)
`-gtkfilter <filter>`
  (`GTKFilter`) (0: Nearest neighbor, 1: Bilinear 2: Bicubic).
`-keepaspect`
  Enable keeping of the aspect ratio when scaling (`KeepAspectRatio=1`).
`+keepaspect`
  Disable keeping of the aspect ratio when scaling (freescaling) (`KeepAspectRatio=0`).
`-trueaspect`
`+trueaspect`
  Enable/disable whether to use the true (non square pixels) aspect ratio (`TrueAspectRatio=1`, (`TrueAspectRatio=0`).
`-vsync`
  Enable vsync to prevent screen tearing (`VSync=1`).
`+vsync`
  Disable vsync to allow screen tearing (`VSync=0`).
`-confirmonexit`
  Confirm quitting VICE (`ConfirmOnExit=1`).
`+confirmonexit`
  Never confirm quitting VICE (`ConfirmOnExit=0`).
`-fullscreen-decorations`
`+fullscreen-decorations`
  Enable/disable fullscreen decorations
`-joydev1 <0-3> / <0-9> / <0-11> / <0-13>`
  Set the device for joystick emulation of port 1 (`JoyDevice1`) (all emulators except xcbm2, xpet and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`-joydev2 <0-3> / <0-9> / <0-11> / <0-13>`
  Set the device for joystick emulation of port 2 (`JoyDevice2`) (all emulators except xcbm2, xpet, xvic and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`-extrajoydev1 <0-3> / <0-9> / <0-11> / <0-13>`
  Set device for extra joystick port 1 (`JoyDevice3`) (all emulators except xcbm5x0 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)
`-extrajoydev2 <0-3> / <0-9> / <0-11> / <0-13>`
  Set device for extra joystick port 2 (`JoyDevice4`) (all emulators except xcbm5x0, xplus4 and vsid). (0: None, 1: Numpad, 2: Keyset 1, 3: Keyset 2, 4: Analog joystick 1, 5: Analog joystick 2, 6: Analog joystick 3, 7: Analog joystick 4, 8: Analog joystick 5, 9: Analog joystick 6, 10: Digital joystick 1, 11: Digital joystick 2, 12: USB joystick 1, 13: USB joystick 2)

The available joysticks might differ depending on operating system and joystick support in the OS.

`Devices 4..9`
  Only available if joystick support is available at compile time.
`Devices 10 and 11`
  Only available if digital joystick support is available at compile time.
`Devices 12 and 13`
  Only available if USB joystick support is available at compile time.

The following command-line options are only available if MIDI support is available at compile time.

`-midiname <name>`
  Specify the name of the MIDI client (default:"VICE") (`MIDIName`) (ALSA and macOS only, x64, x64sc, xscpu64, x128 and xvic only).
`-midiin <name>`
  Specify OSS MIDI-In device (`MIDIInDev`) (Windows and OSS, x64, x64sc, xscpu64, x128 and xvic only).
`-midiout <name>`
  Specify OSS MIDI-Out device (`MIDIOutDev`) (Windows and OSS, x64, x64sc, xscpu64, x128 and xvic only).
`-midiinname <name>`
  Specify the name of the MIDI input port (default:"VICEInput") (`MIDIInName`) (macos, x64, x64sc, xscpu64, x128 and xvic only).
`-midioutname <name>`
  Specify the name of the MIDI output port (default:"VICEOutput") (`MIDIOutName`) (macos, x64, x64sc, xscpu64, x128 and xvic only).

The following command-line option is only available if MIDI support and ALSA support is available at compile time.

`-mididrv <driver>`
  Specify MIDI driver (`MIDIDriver`) (Unix - x64, x64sc, xscpu64, x128 and xvic only). (0: OSS, 1: ALSA)

Go to the first, previous, next, last section, table of contents.